<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>CPT</h6>
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-1">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Stats</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-row form-compressed">
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">Gatekeeper Stats (30 days)</label>
              <dx-data-grid #gkGrid id="gkGrid" [dataSource]="gkList" keyExpr="userId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="fullName" caption="Full Name" dataType="string"></dxi-column>
                <dxi-column dataField="devices" caption="Number of Devices"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="tasks" caption="Tasks"
                            dataType="number" alignment="left"></dxi-column>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">Manager Stats (30 days)</label>
              <dx-data-grid #managerGrid id="managerGrid" [dataSource]="managerList" keyExpr="userId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="fullName" caption="Full Name" dataType="string"></dxi-column>
                <dxi-column dataField="devices" caption="Number of Devices"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="tasks" caption="Tasks"
                            dataType="number" alignment="left"></dxi-column>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">NTE Stats (30 days)</label>
              <dx-data-grid #nteGrid id="nteGrid" [dataSource]="nteList" keyExpr="userId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="fullName" caption="Full Name" dataType="string"></dxi-column>
                <dxi-column dataField="devices" caption="Number of Devices"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="tasks" caption="Tasks"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="weighted" caption="Weighted"
                            dataType="number" alignment="left"></dxi-column>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">PM Stats (30 days)</label>
              <dx-data-grid #pmGrid id="pmGrid" [dataSource]="pmList" keyExpr="userId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="fullName" caption="Full Name" dataType="string"></dxi-column>
                <dxi-column dataField="devices" caption="Number of Devices"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="tasks" caption="Tasks"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="weighted" caption="Weighted"
                            dataType="number" alignment="left"></dxi-column>
              </dx-data-grid>
            </div>
            <div class="form-group form-group-sm col-12">
              <label class="font-weight-bold">CRM Stats (30 days)</label>
              <dx-data-grid #crmGrid id="crmGrid" [dataSource]="crmList" keyExpr="userId"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10]"></dxo-pager>
                <dxi-column dataField="fullName" caption="Full Name" dataType="string"></dxi-column>
                <dxi-column dataField="devices" caption="Number of Devices"
                            dataType="number" alignment="left"></dxi-column>
                <dxi-column dataField="tasks" caption="Tasks"
                            dataType="number" alignment="left"></dxi-column>
              </dx-data-grid>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>
    </div>
  </div>
</div>
